
%% Please set variables:  'strmethod', 'msnr', and 'frames' as followings.

strmethod = 'Proposed/Init_TRpSB'; 
%% Select the method to show the corresponding reconstructed images;
% strmethod = 'NC' % NC
% strmethod = 'NCpSB' % NC + spatial bases
% strmethod = 'TR' % TR
% strmethod = 'TRpSB' % TR + spatial bases
% strmethod = 'Proposed/Init_TRpSB' % Proposed initialized by TRpSB
% strmethod = 'Proposed/Init_TR' % Proposed initialized by TR
% strmethod = 'Proposed/Init_NCpSB' % Proposed initialized by NCpSB
% strmethod = 'Proposed/Init_NC' % Proposed initialized by NC

msnr = 50; 

%% msnr is a SNR value of the measured sinograms;
%% The possible values are '50', '45', '40', '35', and '30'.


frames = [3 5 10]; 

%% Set frames = [f1, f2, f3, ...] where selected frames are shown;
%% For example, 'frames = [3 5 10];' shows the 3rd, 5th, and 10th frame of a temporal series of 2D images.
%% The maximum frame number is 30.

%%%%%%%%%%
%You do not neeed to change the followings.
%%%%%%%%%%

load org.mat
load(fullfile(strmethod, ['mSNR=',num2str(msnr),'.mat']));  
  
figure;
vi_proc(RcV, V, frames);


